import request from '@/utils/request'

// 初始化获取分类
export function getType() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_工艺分类名称_查询数据'
    }
  })
}
// 根据条件查询工艺信息
export function getTable(check, Code, check1, Code1, pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_工艺名称_查询数据_按工艺名称和分类查',
      param: '工艺名称_check=' + check + '&工艺名称=' + Code + '&工艺分类流水号_check=' + check1 + '&工艺分类流水号=' + Code1,
      Pagination: pageList + '&' + pageSize
    }
  })
}
// 删除工艺信息
export function delList(MaterialCode) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_基础表_工艺名称_删除数据',
      param: '工艺编号=' + MaterialCode
    }
  })
}
// 新增工艺信息
export function Add(Name, ShortName) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_基础表_工艺名称_增加数据',
      param: '工艺名称=' + Name + '&工艺名称简称=' + ShortName
    }
  })
}
// 修改工艺信息
export function editList(Code, Price, weightPrice, areaPrice, FlowNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_基础表_工艺名称_外协价格_修改数据',
      param: '工艺编号=' + Code + '&外协价格1=' + Price + '&重量价格1=' + weightPrice + '&面积价格1=' + areaPrice + '&外协价格计算标准流水号=' + FlowNumber
    }
  })
}
